Name:           quarry
Version:        0.2.0
Release:        12%{?dist}
Summary:        A multi-purpose board game GUI

Group:          Amusements/Games
License:        GPLv2+
URL:            http://home.gna.org/quarry/
Source0:        http://download.gna.org/quarry/quarry-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  desktop-file-utils
BuildRequires:  librsvg2-devel
BuildRequires:	gtk2-devel
BuildRequires:  scrollkeeper
#Requires:       
Requires(post):         scrollkeeper
Requires(postun):       scrollkeeper

%description
Quarry is a multi-purpose GUI for several board games, at present Go, Amazons
and Reversi. It allows users to play against computer players (third-party
programs, e.g. GNU Go or GRhino) or other humans, view and edit game records.
Future versions will also support Internet game servers and provide certain
features for developers of board game-playing engines for enhancing their
programs.

%prep
%setup -q


%build
%configure --disable-scrollkeeper-update
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

# desktop file
desktop-file-install \
    --dir $RPM_BUILD_ROOT%{_datadir}/applications \
    --remove-key Version \
    --delete-original \
    $RPM_BUILD_ROOT%{_datadir}/applications/quarry.desktop

%find_lang %{name}

%post
scrollkeeper-update -q -o %{_datadir}/omf/%{name} || :

%postun
scrollkeeper-update -q || :

%clean
rm -rf $RPM_BUILD_ROOT


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING COPYING-DOC NEWS README THANKS TODO
%{_bindir}/quarry
%{_datadir}/applications/*.desktop
%{_datadir}/mime/packages/quarry.xml
%{_datadir}/pixmaps/quarry.png
%{_datadir}/omf/quarry/
%{_datadir}/quarry/


%changelog
* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.0-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Tue Feb 12 2013 Jon Ciesla <limburgher@gmail.com> - 0.2.0-11
- Drop desktop vendor tag.

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.0-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.0-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Dec 06 2011 Adam Jackson <ajax@redhat.com> - 0.2.0-8
- Rebuild for new libpng

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Dec 08 2010 Jon Ciesla <limb@jcomserv.net> - 0.2.0-6
- Add gtk2-devel BR to fix FTBFS BZ 631185.

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.2.0-3
- Autorebuild for GCC 4.3

* Mon Sep 24 2007 Michel Salim <michel.sylvan@gmail.com> - 0.2.0-2
- License field update
- Remove invalid version key from desktop file

* Sun Nov 19 2006 Michel Salim <michel.salim@gmail.com> - 0.2.0-1
- Update to 0.2.0, first stable version

* Tue Oct 31 2006 Michel Salim <michel.salim@gmail.com> - 0.1.20-1
- Update to 0.1.20

* Mon Oct  9 2006 Michel Salim <michel.salim@gmail.com> - 0.1.19-2
- Incorporated upstream patch to fix gtp-client string handling

* Sun Oct  8 2006 Michel Salim <michel.salim@gmail.com> - 0.1.19-1
- Update to 0.1.19

* Thu Mar  2 2006 Michel Salim <michel.salim@gmail.com> - 0.1.16-2
- Rebuild for Fedora Extras 5

* Sun Nov 13 2005 Michel Salim <michel.salim[AT]gmail.com> - 0.1.16-1
- New upstream version

* Sun Sep  4 2005 Michel Salim <michel.salim[AT]gmail.com> - 0.1.15-5
- removed references to trademarked names
- packaged modified tarball to prevent trademark infringement

* Fri Aug 19 2005 Michel Salim <michel.salim[AT]gmail.com> - 0.1.15-4
- actually use find_lang (Dawid)
- desktop file fixes (Dawid)
- fixed scrollkeeper patch
- add missing BuildRequires on desktop-file-utils

* Thu Aug 18 2005 Michel Salim <michel.salim[AT]gmail.com> - 0.1.15-3
- added ******* trademark notice (Jef Spaleta)

* Thu Aug 18 2005 Michel Salim <michel.salim[AT]gmail.com> - 0.1.15-2
- added scrollkeeper updates (Dawid Gajownik)
- file listing fixes (Dawid Gajownik)

* Tue Aug 16 2005 Michel Salim <michel.salim[AT]gmail.com> - 0.1.15-1
- initial package
